/*
Theme Name: Astra Child
Theme URI: https://www.dipujaen.es
Description: Theme para Capacitación Digital basado en astra
Author: Sara MC
Author URI: https://www.dipujaen.es
Template: astra
Version: 1.0.0
Text Domain: astra-child
*/

.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .menu-item:hover
  > .menu-link,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .menu-item:hover
  > .ast-menu-toggle,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .ast-masthead-custom-menu-items
  a:hover,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .focus
  > .menu-link,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .focus
  > .ast-menu-toggle,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .current-menu-item
  > .menu-link,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .current-menu-ancestor
  > .menu-link,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .current-menu-item
  > .ast-menu-toggle,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .current-menu-ancestor
  > .ast-menu-toggle,
.ast-theme-transparent-header
  [CLASS*="ast-builder-menu-"]
  .main-header-menu
  .current-menu-item
  > .menu-link,
.ast-theme-transparent-header
  [CLASS*="ast-builder-menu-"]
  .main-header-menu
  .current-menu-ancestor
  > .menu-link,
.ast-theme-transparent-header
  [CLASS*="ast-builder-menu-"]
  .main-header-menu
  .current-menu-item
  > .ast-menu-toggle,
.ast-theme-transparent-header
  [CLASS*="ast-builder-menu-"]
  .main-header-menu
  .current-menu-ancestor
  > .ast-menu-toggle,
.ast-theme-transparent-header .main-header-menu .menu-item:hover > .menu-link,
.ast-theme-transparent-header .main-header-menu .current-menu-item > .menu-link,
.ast-theme-transparent-header
  .main-header-menu
  .current-menu-ancestor
  > .menu-link {
  color: #000; /* Color del texto negro */
  text-align: center; /* Texto centrado */
  text-transform: uppercase; /* Transformar texto en mayúsculas */

  font-weight: bold; /* Grosor del texto */
}

.ast-theme-transparent-header .ast-builder-menu .main-header-menu,
.ast-theme-transparent-header .ast-builder-menu .main-header-menu .menu-link,
.ast-theme-transparent-header
  [CLASS*="ast-builder-menu-"]
  .main-header-menu
  .menu-item
  > .menu-link,
.ast-theme-transparent-header .ast-masthead-custom-menu-items,
.ast-theme-transparent-header .ast-masthead-custom-menu-items a,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .menu-item
  > .ast-menu-toggle,
.ast-theme-transparent-header
  .ast-builder-menu
  .main-header-menu
  .menu-item
  > .ast-menu-toggle,
.ast-theme-transparent-header .ast-above-header-navigation a,
.ast-header-break-point.ast-theme-transparent-header
  .ast-above-header-navigation
  a,
.ast-header-break-point.ast-theme-transparent-header
  .ast-above-header-navigation
  > ul.ast-above-header-menu
  > .menu-item-has-children:not(.current-menu-item)
  > .ast-menu-toggle,
.ast-theme-transparent-header .ast-below-header-menu,
.ast-theme-transparent-header .ast-below-header-menu a,
.ast-header-break-point.ast-theme-transparent-header .ast-below-header-menu a,
.ast-header-break-point.ast-theme-transparent-header .ast-below-header-menu,
.ast-theme-transparent-header .main-header-menu .menu-link {
  color: #000; /* Color del texto negro */
  text-align: center; /* Texto centrado */
  text-transform: uppercase; /* Transformar texto en mayúsculas */
  font-size: 1.1em; /* Tamaño del texto */
  font-weight: bold; /* Grosor del texto */
}

.ast-site-identity {
  padding: 0;
}

.site-header-section .ast-builder-menu {
  margin-top: 3%;
}

a:where(:not(.elementor-button, .ab-item, .menu-link)) {
  color: #78501e !important;
  font-weight: 600;
}

.site-footer a {
  color: #333 !important;
  font-weight: 600;
}



#block-42.widget,
#block-44.widget {
  margin: 0 0 1em 0 !important;
}

/* Ocultamos barra superior de menú redes sociales
Aplica el estilo solo en pantallas de tamaño de computadoras de escritorio y más grandes */
@media (min-width: 1200px) {
  .main-header-bar-wrap {
    /*display: none;*/
  }
}

/* TOP MENÚ */

/* Estilos para el contenedor del menú */
.ast-builder-menu-1 {
  /*background-color: #333; */
  padding: 10px 0; /* Espaciado vertical */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Sombra */
}

/* Estilos para los elementos del menú */
.ast-builder-menu-1 .main-header-menu > li {
  margin-right: 15px; /* Espaciado entre los elementos */
}

/* Estilos para los enlaces del menú */
.ast-builder-menu-1 .menu-link {
  color: #000; /* Color del texto */
  font-size: 16px; /* Tamaño de fuente */
  font-weight: 600; /* Peso de la fuente */
  text-transform: uppercase; /* Texto en mayúsculas */
  text-decoration: none; /* Sin subrayado */
  padding: 5px 10px; /* Espaciado interno */
  transition: color 0.3s ease, background-color 0.3s ease; /* Transición */
}

/* Estilos para los enlaces del menú en estado hover */
.ast-builder-menu-1 .menu-link:hover {
  color: #ffcc00; /* Color del texto al pasar el ratón */
  background-color: rgba(255, 255, 255, 0.1); /* Fondo al pasar el ratón */
  border-radius: 4px; /* Bordes redondeados */
}

/* Estilos para el enlace del menú activo */
.ast-builder-menu-1 .current-menu-item > .menu-link {
  color: #ffcc00; /* Color del texto para el elemento activo */
  background-color: rgba(
    255,
    255,
    255,
    0.2
  ); /* Fondo para el elemento activo */
  border-radius: 4px; /* Bordes redondeados */
}

/* Estilos para las submenús */
.ast-builder-menu-1 .submenu-with-border .sub-menu {
  width: auto;
  padding: 4px;
}

.ast-builder-menu-1 .submenu-with-border .sub-menu .menu-item:hover {
  border-bottom: 4px solid #ffcc00; /* Borde superior para submenús */
}

/* Estilos para los enlaces de submenú */
.ast-builder-menu-1 .submenu-with-border .sub-menu .menu-link {
  color: #ddd; /* Color del texto de submenús */
  font-size: 14px; /* Tamaño de fuente de submenús */
  padding: 5px 20px; /* Espaciado interno de submenús */
}

/* Estilos para los enlaces de submenú en estado hover */
.ast-builder-menu-1 .submenu-with-border .sub-menu .menu-link:hover {
  color: #ffcc00; /* Color del texto de submenús al pasar el ratón */
  background-color: rgba(
    255,
    255,
    255,
    0.1
  ); /* Fondo de submenús al pasar el ratón */
  border-radius: 4px; /* Bordes redondeados */
}

fieldset {
  border: 1px solid #ccc !important;
  padding: 2% 4% !important;
  margin-bottom: 20px !important;
  border-radius: 5px !important;
}

legend {
  font-weight: bold;
  padding: 0 10px;
  color: #333;
}

fieldset legend {
  margin-bottom: 0px !important;
  padding: 0 0.5em;
}

.wpcf7-list-item {
  margin: 1% 0 0.5% 1em;
}

.container {
  margin-top: 20px;
}

label {
  display: block;
  margin-bottom: 5px;
}

.row {
  margin-bottom: 15px;
}

.ast-builder-grid-row {
  grid-column-gap: 0px;
}

p.sinMargenAbajo {
	margin-bottom: 1px !important;
}

@media (min-width: 922px) {
  .ast-container {
    max-width: 1340px;
  }
}

/*Añadido según informe accesibilidad: 14 nov 2025*/
	
elemento {
outline: auto;
}
